Bug 168177 - nash uses uninitialised memory.
nash uses uninitialised memory.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-13 04:57 EDT by Dave Jones
Modified: 2015-01-04 17:22 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-25 16:45:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2005-09-13 04:57:06 EDT
export MALLOC_PERTURB_=204 
install a kernel, and you'll see this..

ls:
/dev/mapper/VolGroup00-LogVol003333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333:
File name too long

It happens here, in mkinitrd (line 487 or so)

rootdev=$(echo "readlink $rootdev" | /sbin/nash --quiet)

filling in the blanks, and getting a command line that proves this..

(04:51:23:root@nwo:~)# echo "readlink /dev/VolGroup00/LogVol00" | /sbin/nash --quiet
/dev/mapper/VolGroup00-LogVol003333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333333


I've not looked at the nash code yet, but this is likely a malloc that needs to
be a calloc someplace.
Comment 1 Peter Jones 2005-09-25 16:45:12 EDT
Fixed, thanks.

Note You need to log in before you can comment on or make changes to this bug.